> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Custom Destination

> Update a custom destination (partial update)



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/customs/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/customs/{id}:
    patch:
      tags:
        - Customs
      summary: Update Custom Destination
      description: Update a custom destination (partial update)
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Custom destination ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                type:
                  type: string
                  minLength: 1
                  maxLength: 255
                  description: Custom type name (ct_name)
                param1:
                  type: string
                  maxLength: 255
                param2:
                  type: string
                  maxLength: 255
                param3:
                  type: string
                  maxLength: 255
                param4:
                  type: string
                  maxLength: 255
                param5:
                  type: string
                  maxLength: 255
                param6:
                  type: string
                  maxLength: 255
              additionalProperties: false
      responses:
        '200':
          description: Updated custom destination
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Custom destination ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  name:
                    type: string
                    description: Custom destination name
                  customType:
                    type: object
                    properties:
                      id:
                        type: number
                        description: Custom type ID
                      name:
                        type: string
                        description: Custom type name (ct_name)
                    required:
                      - id
                      - name
                    additionalProperties: false
                    description: Resolved custom type
                  param1:
                    type: string
                  param2:
                    type: string
                  param3:
                    type: string
                  param4:
                    type: string
                  param5:
                    type: string
                  param6:
                    type: string
                  param7:
                    type: string
                  param8:
                    type: string
                required:
                  - id
                  - tenantId
                  - name
                  - customType
                  - param1
                  - param2
                  - param3
                  - param4
                  - param5
                  - param6
                  - param7
                  - param8
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.